<?php defined('BASEPATH') OR exit('No direct script access allowed');

class m_template_putusan_pidana_pra extends CI_Model {

	function getDataPN(){
			try {
				return $this->db->query( "SELECT * FROM 
			(SELECT value AS NamaPN FROM sys_config WHERE id = 62) AS T1,
			(SELECT value AS KetuaPNNama FROM sys_config WHERE id = 64) AS T2,
			(SELECT value AS AlamatPN FROM sys_config WHERE id = 63) AS T3,
			(SELECT value AS WakilKetuaPNNama FROM sys_config WHERE id = 66) AS T4;");
				
			} catch(Exception $e) {
				return false;
			}
	}

	function getdata_pp($idperkara){
		try {
			return $this->db->query("SELECT a.panitera_id , b.nama_gelar
                FROM 
                perkara_panitera_pn AS a ,
                panitera_pn AS b
                WHERE 
                a.panitera_id=b.id AND
                a.perkara_id=$idperkara");
		} catch (Exception $e) {
		}
	}
	
	function getDataPenetapanHakim($idperkara){
		try {
			if(!is_numeric($idperkara)){
					return '';
			}
			return $this->db->query("SELECT * FROM 
			(SELECT perkara_id,urutan,jabatan_hakim_id, jabatan_hakim_nama, hakim_nama, hakim_id,tanggal_penetapan FROM perkara_hakim_pn WHERE perkara_id = ".$idperkara." GROUP BY hakim_id) AS ph
			LEFT JOIN (SELECT id, nama_gelar FROM hakim_pn) AS h
			ON ph.hakim_id = h.id
			ORDER BY urutan ASC;");
		} catch(Exception $e) {  
		   return false;
		}
	}

	function getDataPerkara($idperkara){
		try {
			if(!is_numeric($idperkara)){
					return '';
			}
			$qry="SELECT 	a.tanggal_pendaftaran, 
							a.nomor_perkara, 
							a.tanggal_surat AS tgl_gugatan, 
							a.nomor_surat, 
							d.* , 
							IF(d.pengacara_idP IS NOT NULL,	CONCAT(	'Berkedudukan di ',d.alamatP,
												'yang dalam hal ini memberikan kuasa kepada ',d.namaPengacaraP,
												' beralamat di ',d.alamatPengacaraP,
												' berdasarkan Surat Kuasa Khusus tanggal ',IF(a.tanggal_surat IS NULL,'.....',a.tanggal_surat),' sebagai '), 
											CONCAT(	'Bertempat tinggal di ',d.`alamatP`,' , Sebagai ')) AS statusP,
											 j.*, 
											 IF(j.pengacara_idT IS NOT NULL,
											CONCAT(	'Berkedudukan di ',j.alamatT,
												'yang dalam hal ini memberikan kuasa kepada ',j.namaPengacaraT,
												' beralamat di ',j.alamatPengacaraT,
												' berdasarkan Surat Kuasa Khusus tanggal ',IF(a.tanggal_surat IS NULL,'.....',a.tanggal_surat),' sebagai '), 
											CONCAT(	'Bertempat tinggal di ',j.`alamatT`,' , Sebagai ')) AS statusT 
						FROM perkara AS a LEFT JOIN (SELECT 	c.pengacara_id AS pengacara_idP, 
											a.perkara_id AS perkara_idP, 
											b.`pihak_id` AS pihak_idP, 
											b.nama AS namaP, 
											b.urutan AS urutanP, 
											b.alamat AS alamatP, 
											p.tempat_lahir AS tempatlahirP, 
											p.tanggal_lahir AS tglLahirP, 
											p.jenis_kelamin AS jenis_kelaminP, 
											p.agama_nama AS agamaP, 
											p.pendidikan AS pendidikanP, 
											p.warga_negara AS wargaNegaraP, 
											p.pekerjaan AS pekerjaanP, 
											c.nama AS namaPengacaraP, 
											c.alamat AS alamatPengacaraP, 
											c.pihak_id AS pihak_idPC 
										FROM 	pihak p, perkara AS a 	LEFT JOIN perkara_pihak1 AS b ON a.perkara_id=b.perkara_id 
													LEFT JOIN perkara_pengacara AS c ON a.perkara_id=c.perkara_id 
										AND FIND_IN_SET(b.pihak_id,c.pihak_id) WHERE c.pihak_id=p.id) AS d ON d.perkara_idP=$idperkara 
										
								LEFT JOIN (	SELECT 	c.pengacara_id AS pengacara_idT, 
											a.perkara_id AS perkara_idT, 
											b.`pihak_id` AS pihak_idT, 
											b.urutan AS urutanT, 
											b.nama AS namaT, 
											b.alamat AS alamatT, 
											c.nama AS namaPengacaraT, 
											c.alamat AS alamatPengacaraT, 
											c.pihak_id AS pihak_idTC 
										FROM 	pihak p, perkara AS a 	LEFT JOIN perkara_pihak2 AS b ON a.perkara_id=b.perkara_id 
													LEFT JOIN perkara_pengacara AS c ON a.perkara_id=c.perkara_id 
													AND FIND_IN_SET(b.pihak_id,c.pihak_id) WHERE c.pihak_id=p.id) AS j ON j.perkara_idT=$idperkara
								WHERE a.perkara_id=$idperkara";
			$query=$this->db->query($qry);
			return $query;
		} catch(Exception $e) {  
		   return false;
		}
	}

	function getDataPutusan($idperkara){
		try {
    		if(!is_numeric($idperkara)){
				return '';
				}
		return $this->db->query("SELECT * FROM perkara_putusan where perkara_id=$idperkara");
		} catch (Exception $e) {
		}
	}
}
?>